program SimSEESimulador;
{$DEFINE TRANSLATOR}
{$MODE Delphi}
uses {$IFDEF LINUX}
  cthreads, {$ENDIF}
  Interfaces,
  Forms,
  xmatdefs,
  uSimSEE,
  uverdoc,
  upreprocesador,
  uglobs,
  uInicioYFinal,
  uComercioInternacional,
  umodelosintcegh,
  utilidades,
  uFuenteProducto,
  ugter_arranqueparada,
  uDatosHistoricos,
  uMercadoSpotConDetalleHorarioSemanal,
  uBaseMercadoSpot,
  ugter_onoffporpaso_conrestricciones,
  uversiones,
  uMonitorSimRes,
  uReferenciaMonSimRes,
  uHidroConEmbalseBinacional,
  ugter_arranqueparada_noopt,
  ugter_basico_PyCVariable,
  uArcos,
  uusogestionable_postizado,
  uActores,
  uActorNodal,
  uMercadoSpot_postizado,
  uHidroConEmbalse,
  ugter_basico,
  uGTer,
  uHidroDePasada,
  usolartermico,
  ugter_basico_trep,
  uParqueEolico_vxy,
  ugter_onoffporpaso,
  usolarpv,
  winLinuxUtils,
  umh_distribuidor_optsim,
  uMIPSimplexIteradorNoLineal,
  TVectors,
  utrazosxy,
  SysUtils,
  unube,
  umatriz_ruida,
  uiteradoressimsee,
  umadresuniformes,
  ucosaparticipedemercado,
  usalasdejuego,
  uodt_types,
  ucosa,
  ufechas,
  uFuentesAleatorias,
  ufuenteselector_horario,
  ucalibrarconopronosticos,
  uresfxgx,
  uproblema,
  matreal,
  algebrac,
  fddp,
  udisnormcan,
  umipsimplex_mejorcamino,
  usimplex,
  uforzamientos,
  ucontroladordeterminista,
  umh_sincrodata,
  umh_worker_sim,
  uacumuladores_sim,
  udatoshorariosdetallados,
  uRobotHttpPost,
  uFuncionesReales,
  ufichasLPD,
  uEsclavizadorSubMuestreado,
  httpsend,
  uauxiliares,
  uversion_architexto,
  upronostico,
  uEsclavizadorSobreMuestreado,
  ubiomasaembalsable,
  ugsimple_monocombustible,
  uRegasificadora,
  uExcelFile,
  uAgendaGNL,
  uTSumComb,
  uGeneradores,
  uParqueEolico,
  uDemandas,
  ugter_combinado,
  ugter_combinado_horario,
  udemandaCombustibleAnioBaseEIndices,
  uDemandaAnioBaseEIndices,
  unodocombustible,
  uCombustible,
  udemandaCombustible,
  uActorNodalCombustible,
  uArcoCombustible,
  ubancodebaterias01,
  uHidroConBombeo,
  {$IFDEF TRANSLATOR}
  usetlanguage,
  {$ENDIF}
  ugsimple_bicombustible, udemandadetallada, udemandas01, unodos,
  ugter_onoffporposte, uMercadoSpot, ucontratomodalidaddevolucion,
  uArcoConSalidaProgramable, uestados_aproximador_cf01, uFuenteConstante,
  uunidades,
  {$IFDEF ADMINISTRADOR_DE_ESTADOS_MULTIPLANO}
  uAdministradorDeEstadosMultiPlano,
  {$ENDIF}

  uConstantesSimSEE, uFuenteSintetizador, usimprint, uestados,
  uFuenteCombinacion, uadminestadossobremuestreado, ucfmpute;


{$R *.res}


{$IFDEF HEAP_TRC}
const
  HEAPT = 'c:\basura\cmdopt_heap.trc';
{$ENDIF}
begin

  {$IFDEF HEAP_TRC}
  if FileExists(HEAPT) then
    DeleteFile(HEAPT);
  SetHeapTraceOutput(HEAPT);
  {$ENDIF}

  try
    begin
      {$IFDEF TRANSLATOR}
      setlanguage;
      {$ENDIF}
      uInicioYFinal.AlInicio;
      Application.Initialize;
      Application.Title:='SimSEE Simulador';
      Application.CreateForm(TfSimSEE, fSimSEE);
      Application.Run;
    end
  finally
    uInicioYFinal.AlFinal;
  end;
end.
